> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Get information about all game levels ## OpenAPI ````json GET /p2e/players/@/levels { "openapi": "3.0.0", "info": { "title": "Loyalty API", "version": "1.0.0", "description": "Combined API documentation. Includes: Player API, Admin API, Redeem Options API, Notifications API" }, "servers": [ { "url": "https://{domain}" } ], "tags": [ { "name": "Admin", "description": "Endpoint with unlimited access" }, { "name": "Users", "description": "Endpoint to get information for one or more users" }, { "name": "Tokens", "description": "Tokens related endpoints" }, { "name": "Perks", "description": "Perks related endpoints" }, { "name": "System", "description": "Not business logic information" }, { "name": "Quests", "description": "Quests related endpoints" }, { "name": "Daily", "description": "Daily bonus related endpoints" }, { "name": "Rewards", "description": "Rewards related endpoints" }, { "name": "Achievements", "description": "Achievements related endpoints" }, { "name": "Segments", "description": "Segments related endpoints" }, { "name": "Reward Rules", "description": "Game rules related endpoints" }, { "name": "Level Config", "description": "Level config related endpoints" }, { "name": "Schedule", "description": "Schedule related endpoints" }, { "name": "Scheduled Events", "description": "Scheduled events related endpoints" }, { "name": "Leaderboards", "description": "Leaderboards related endpoints" }, { "name": "Auth", "description": "Authorization" }, { "name": "Documentation", "description": "Documentation" }, { "name": "Feedback", "description": "Feedback" }, { "name": "File System", "description": "File System" }, { "name": "I18n", "description": "Internationalization" }, { "name": "Integrations", "description": "Integrations" }, { "name": "Permissions", "description": "Permissions" }, { "name": "Rewarder", "description": "Rewarder" }, { "name": "Widgets", "description": "Widgets" }, { "name": "Redeem Options", "description": "" }, { "name": "Redeem Providers", "description": "" } ], "x-readme": {}, "paths": { "/p2e/players/@/levels": { "get": { "operationId": "P2eController_getLevelsPlayer", "parameters": [ { "name": "Scrimmage-Version", "in": "header", "description": "Version", "required": false, "schema": { "type": "string" } } ], "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/LevelConfigDTO" } } } } }, "security": [ { "bearer": [] } ], "summary": "Get information about all game levels", "tags": [ "P2e", "System" ] } } }, "components": { "schemas": { "LevelConfigDTO": { "type": "object", "properties": { "level": { "type": "number" }, "name": { "type": "string" }, "description": { "type": "string" }, "levelUpRequirements": { "type": "array", "items": { "$ref": "#/components/schemas/ScrimLangRequirementGroupDTO" } }, "levelUpCostInTokens": { "type": "number" }, "dailyBonusRewardBundle": { "$ref": "#/components/schemas/RewardBundleDTO" }, "levelUpRewardBundle": { "$ref": "#/components/schemas/RewardBundleDTO" }, "levelType": { "type": "string" } }, "required": [ "level", "name", "description", "levelUpRequirements", "levelUpCostInTokens", "dailyBonusRewardBundle", "levelUpRewardBundle", "levelType" ] }, "ScrimLangRequirementGroupDTO": { "type": "object", "properties": { "elements": { "type": "array", "items": { "$ref": "#/components/schemas/ScrimLangRequirementDTO" } } }, "required": [ "elements" ] }, "RewardBundleDTO": { "type": "object", "properties": { "rewards": { "type": "array", "items": { "$ref": "#/components/schemas/RewardDTO" } }, "modifiers": { "type": "array", "items": { "$ref": "#/components/schemas/RewardModifierDTO" } } }, "required": [ "rewards", "modifiers" ] }, "ScrimLangRequirementDTO": { "type": "object", "properties": { "path": { "type": "string" }, "filter": { "$ref": "#/components/schemas/FilterConfigOperatorsDTO" }, "icon": { "type": "string" }, "title": { "type": "string" } }, "required": [ "path", "filter", "icon", "title" ] }, "RewardDTO": { "type": "object", "properties": { "type": { "type": "string" }, "templateFields": { "type": "object" }, "config": { "type": "object" }, "visibility": { "type": "string" }, "amount": { "type": "object" }, "weight": { "type": "number" } }, "required": [ "type", "templateFields", "config", "visibility", "amount", "weight" ] }, "RewardModifierDTO": { "type": "object", "properties": { "type": { "type": "string" }, "config": { "type": "object" } }, "required": [ "type", "config" ] }, "FilterConfigOperatorsDTO": { "type": "object", "properties": { "type": { "type": "string" }, "operator": { "type": "string" }, "value": { "type": "object" } }, "required": [ "type", "operator", "value" ] } }, "securitySchemes": { "bearer": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } } } ````